> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get extraction capabilities

> Ask what an extraction over given Files can do.

**Operation ID:** `http.semantic_tasks.file_extractions.capabilities`

```http theme={null}
POST /v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/capabilities
```


## OpenAPI

````yaml openapi.json POST /v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/capabilities
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/capabilities:
    post:
      tags:
        - Extraction
      summary: Get extraction capabilities
      description: |-
        Ask what an extraction over given Files can do.

        Product guidance: [Extraction](/concepts/extraction).
      operationId: http.semantic_tasks.file_extractions.capabilities
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/http_semantic_tasks_file_extractions_capabilities_request
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/http_semantic_tasks_file_extractions_capabilities_response
      security:
        - bearerAuth: []
components:
  schemas:
    http_semantic_tasks_file_extractions_capabilities_request:
      type: object
      properties:
        scope:
          oneOf:
            - type: object
              properties:
                kind:
                  type: string
                  const: files
                file_ids:
                  minItems: 1
                  maxItems: 256
                  type: array
                  items:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
              required:
                - kind
                - file_ids
              additionalProperties: false
            - type: object
              properties:
                kind:
                  type: string
                  const: collection
                collection_id:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
              required:
                - kind
                - collection_id
              additionalProperties: false
      required:
        - scope
      additionalProperties: false
    http_semantic_tasks_file_extractions_capabilities_response:
      type: object
      properties:
        data:
          type: object
          properties:
            schema:
              type: string
              const: penumbra.file-extraction-capabilities
            version:
              type: number
              const: 1
            scope:
              oneOf:
                - type: object
                  properties:
                    kind:
                      type: string
                      const: files
                    file_ids:
                      minItems: 1
                      maxItems: 256
                      type: array
                      items:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  required:
                    - kind
                    - file_ids
                  additionalProperties: false
                - type: object
                  properties:
                    kind:
                      type: string
                      const: collection
                    collection_id:
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  required:
                    - kind
                    - collection_id
                  additionalProperties: false
            actions:
              type: object
              properties:
                view_results:
                  type: object
                  properties:
                    state:
                      type: string
                      enum:
                        - available
                        - hidden
                        - blocked
                    reason_code:
                      anyOf:
                        - type: string
                        - type: 'null'
                    message:
                      anyOf:
                        - type: string
                        - type: 'null'
                  required:
                    - state
                    - reason_code
                    - message
                  additionalProperties: {}
                view_history:
                  type: object
                  properties:
                    state:
                      type: string
                      enum:
                        - available
                        - hidden
                        - blocked
                    reason_code:
                      anyOf:
                        - type: string
                        - type: 'null'
                    message:
                      anyOf:
                        - type: string
                        - type: 'null'
                  required:
                    - state
                    - reason_code
                    - message
                  additionalProperties: {}
                start_single:
                  type: object
                  properties:
                    state:
                      type: string
                      enum:
                        - available
                        - hidden
                        - blocked
                    reason_code:
                      anyOf:
                        - type: string
                        - type: 'null'
                    message:
                      anyOf:
                        - type: string
                        - type: 'null'
                  required:
                    - state
                    - reason_code
                    - message
                  additionalProperties: {}
                start_bulk:
                  type: object
                  properties:
                    state:
                      type: string
                      enum:
                        - available
                        - hidden
                        - blocked
                    reason_code:
                      anyOf:
                        - type: string
                        - type: 'null'
                    message:
                      anyOf:
                        - type: string
                        - type: 'null'
                  required:
                    - state
                    - reason_code
                    - message
                  additionalProperties: {}
                start_collection:
                  type: object
                  properties:
                    state:
                      type: string
                      enum:
                        - available
                        - hidden
                        - blocked
                    reason_code:
                      anyOf:
                        - type: string
                        - type: 'null'
                    message:
                      anyOf:
                        - type: string
                        - type: 'null'
                  required:
                    - state
                    - reason_code
                    - message
                  additionalProperties: {}
                reextract:
                  type: object
                  properties:
                    state:
                      type: string
                      enum:
                        - available
                        - hidden
                        - blocked
                    reason_code:
                      anyOf:
                        - type: string
                        - type: 'null'
                    message:
                      anyOf:
                        - type: string
                        - type: 'null'
                  required:
                    - state
                    - reason_code
                    - message
                  additionalProperties: {}
                retry:
                  type: object
                  properties:
                    state:
                      type: string
                      enum:
                        - available
                        - hidden
                        - blocked
                    reason_code:
                      anyOf:
                        - type: string
                        - type: 'null'
                    message:
                      anyOf:
                        - type: string
                        - type: 'null'
                  required:
                    - state
                    - reason_code
                    - message
                  additionalProperties: {}
                review_results:
                  type: object
                  properties:
                    state:
                      type: string
                      enum:
                        - available
                        - hidden
                        - blocked
                    reason_code:
                      anyOf:
                        - type: string
                        - type: 'null'
                    message:
                      anyOf:
                        - type: string
                        - type: 'null'
                  required:
                    - state
                    - reason_code
                    - message
                  additionalProperties: {}
                cancel:
                  type: object
                  properties:
                    state:
                      type: string
                      enum:
                        - available
                        - hidden
                        - blocked
                    reason_code:
                      anyOf:
                        - type: string
                        - type: 'null'
                    message:
                      anyOf:
                        - type: string
                        - type: 'null'
                  required:
                    - state
                    - reason_code
                    - message
                  additionalProperties: {}
              required:
                - view_results
                - view_history
                - start_single
                - start_bulk
                - start_collection
                - reextract
                - retry
                - review_results
                - cancel
              additionalProperties: {}
            levels:
              type: array
              items:
                type: object
                properties:
                  level:
                    type: string
                  default:
                    type: boolean
                  estimate: {}
                required:
                  - level
                  - default
                  - estimate
                additionalProperties: {}
          required:
            - schema
            - version
            - scope
            - actions
            - levels
          additionalProperties: {}
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.